/*****************************************************************************/
/*                                                                           */
/*  HyperPanel VMOS                     File "include/drv_rcu.h"             */
/*  Constants and definitions for RCU driver.                                */
/*                                                                           */
/*  Author : JYA                        Last modification : 02/11/2016       */
/*                                                                           */
/*  (c) Copyright HyperPanel Lab, All Rights Reserved                        */
/*  IDDN.FR.001.320001.*.S.P.1990.000.10000                                  */
/*                                                                           */
/*****************************************************************************/


/*  Some explanations =======================================================


         1  Defines
         2  Structures and typedefs
         3  Public variable
         4  Prototypes of public procedures


*/


#ifndef DRV_RCU_H                      /* If this file is not already        */
#define DRV_RCU_H                      /* included, include it.              */


/*
    1    Defines
    ____________
*/

/* Description de RCU .......................................................*/

#define RCU_NONE              0        /*                                    */
#define RCU_IR                1        /*                                    */
#define RCU_UHF               2        /*                                    */


/*
    2    Structures and typedefs
    ____________________________
*/


/*
    3    Public variables
    _____________________
*/


/*
    4    Prototypes of public procedures
    ____________________________________
*/


  IWORD rcu_get             (INT,CHAR*                                       );
  IWORD rcu_set             (INT,CHAR*,INT*                                  );
  IWORD rcu_ecrfa           (IWORD,IWORD,IWORD,UCHAR*,IWORD,UINT             );


#endif                                 /* End of DRV_RCU_H.                  */
